Package org.apache.commons.dbutils

# Interface RowProcessor

All Known Implementing Classes:
  `BasicRowProcessor`

public interface RowProcessor
`RowProcessor` implementations convert `ResultSet` rows into various other objects. Implementations can extend `BasicRowProcessor` to protect themselves from changes to this interface.

See Also:
  - `BasicRowProcessor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `toArray(ResultSet resultSet)`
  Create an `Object[]` from the column values in one `ResultSet` row.
  `<T> T`
  `toBean(ResultSet resultSet, Class<? extends T> type)`
  Create a JavaBean from the column values in one `ResultSet` row.
  `<T> List<T>`
  `toBeanList(ResultSet resultSet, Class<? extends T> type)`
  Create a `List` of JavaBeans from the column values in all `ResultSet` rows.
  `Map<String,Object>`
  `toMap(ResultSet resultSet)`
  Create a `Map` from the column values in one `ResultSet` row.

- ## Method Details

  - ### toArray

    Object[] toArray(ResultSet resultSet) throws SQLException
    Create an `Object[]` from the column values in one `ResultSet` row. The `ResultSet` should be positioned on a valid row before passing it to this method. Implementations of this method must not alter the row position of the `ResultSet`.
    Parameters:
      `resultSet` - ResultSet that supplies the array data
    Returns:
      the newly created array
    Throws:
      `SQLException` - if a database access error occurs

  - ### toBean

    <T> T toBean(ResultSet resultSet, Class<? extends T> type) throws SQLException
    Create a JavaBean from the column values in one `ResultSet` row. The `ResultSet` should be positioned on a valid row before passing it to this method. Implementations of this method must not alter the row position of the `ResultSet`.
    Type Parameters:
      `T` - The type of bean to create
    Parameters:
      `resultSet` - ResultSet that supplies the bean data
      `type` - Class from which to create the bean instance
    Returns:
      the newly created bean
    Throws:
      `SQLException` - if a database access error occurs

  - ### toBeanList

    <T> List<T> toBeanList(ResultSet resultSet, Class<? extends T> type) throws SQLException
    Create a `List` of JavaBeans from the column values in all `ResultSet` rows. `ResultSet.next()` should not be called before passing it to this method.
    Type Parameters:
      `T` - The type of bean to create
    Parameters:
      `resultSet` - ResultSet that supplies the bean data
      `type` - Class from which to create the bean instance
    Returns:
      A `List` of beans with the given type in the order they were returned by the `ResultSet`.
    Throws:
      `SQLException` - if a database access error occurs

  - ### toMap

    Map<String,Object> toMap(ResultSet resultSet) throws SQLException
    Create a `Map` from the column values in one `ResultSet` row. The `ResultSet` should be positioned on a valid row before passing it to this method. Implementations of this method must not alter the row position of the `ResultSet`.
    Parameters:
      `resultSet` - ResultSet that supplies the map data
    Returns:
      the newly created Map
    Throws:
      `SQLException` - if a database access error occurs